PHP Version auf 5.4 geändert - Shop meckert, zurück auf PHP 4 - Shop zickt immer noch

Thema wurde von melaniemueller, 10. März 2014 erstellt.

  1. melaniemueller

    melaniemueller Mitglied

    Registriert seit:
    3. Juni 2011
    Beiträge:
    8
    Danke erhalten:
    0
    Danke vergeben:
    1
    Hallo Leute,

    ich habe wahrscheinlich eine kleine Dummheit gemacht. Wegen einer Installation einer anderen Website musste ich die Globale PHP Version bei 1und1 auf PHP 5.4 ändern. Erst danach merkte ich, das mein Gambio-Shop nicht mehr läuft... habe dann die PHP Version wieder auf PHP 4 geändert, damit der Shop zumindest wieder aktiv wird und ich eine Umstellung auf Gambio GX einplanen kann, aber es wird immer noch die gleiche Fehlermeldung angezeigt... hab ich meinen Shop nun ruiniert?

    Fatal error: Call to undefined function session_is_registered() in /homepages/29/d211311230/htdocs/budolife/includes/functions/sessions.php on line 88

    http://www.budolife.de/

    Bitte um Hilfe falls jemand einen Tipp hat :confused:
    Danke Melanie
     
  2. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.351
    Danke erhalten:
    5.904
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    du hast noch den GX1 ?
    Caches geleert?
     
  3. melaniemueller

    melaniemueller Mitglied

    Registriert seit:
    3. Juni 2011
    Beiträge:
    8
    Danke erhalten:
    0
    Danke vergeben:
    1
    Ja leider GX1 ... Eine Umstellung ist schon zeitlich eingeplant nur noch nicht verwirklicht.

    Ich würde gerne den Cache löschen aber ich komme ja nicht mehr in den Shop :-(
     
  4. Avenger

    Avenger G-WARD 2012/13/14/15

    Registriert seit:
    26. April 2011
    Beiträge:
    4.771
    Danke erhalten:
    1.478
    Danke vergeben:
    89
    Da hilft auch Cache-Löschen nicht.

    Nur die Wiederherstellung einer älteren PHP-Version.
     
  5. Kai Schoelzke

    Kai Schoelzke Beta-Held

    Registriert seit:
    30. März 2016
    Beiträge:
    3.424
    Danke erhalten:
    447
    Danke vergeben:
    155
  6. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.351
    Danke erhalten:
    5.904
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    Er hatte ja geschrieben dass er zurück gestellt hatte. daher dachte ich das der Fehler nur noch kam weil er im Cache war und die seite nicht mit der alten php neu geparst wurde.
    Aber nu da lifetime des caches rum ist geht ja scheinbar wieder alles.

    1und1 erlaubt auch php versionen nur für die domain zu ändern. (hatten sie jedenfalls damals)
     
  7. Kai Schoelzke

    Kai Schoelzke Beta-Held

    Registriert seit:
    30. März 2016
    Beiträge:
    3.424
    Danke erhalten:
    447
    Danke vergeben:
    155
    Hallo Dennis, da geht auch heute noch!
     
  8. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.351
    Danke erhalten:
    5.904
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    @Kai, bin nicht mehr mit dem Server bei 1und1 daher konnt ich es halt nicht mit gewissheit sagen. :) In 1,5 Jahren kann sich manchmal vieles ändern, gerade wenn neue PHP Versionen dazukommen. - Ist glaub auch abhängig vom Webspace-Paket.
     
  9. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.190
    Danke erhalten:
    1.488
    Danke vergeben:
    103
    Moin,

    bei 1&1 kann man die PHP-Version auch per .htaccess-Datei einstellen: (Link nur für registrierte Nutzer sichtbar.)
     
  10. melaniemueller

    melaniemueller Mitglied

    Registriert seit:
    3. Juni 2011
    Beiträge:
    8
    Danke erhalten:
    0
    Danke vergeben:
    1
    Hi Zusammen,

    Danke für Eure Antworten, Ja die Seite läuft wieder. Hatte zwar die PHP Version gestern gleich wieder umgestellt, aber hat wohl doch einige Stunden gedauert, zumindest lief es nach einer Stunde noch nicht, bis es wirksam wurde. Jetzt kann ich die Übernahme auf GX2 planen :) .

    Viele Grüße
    Melanie
     
  11. Frank M

    Frank M Erfahrener Benutzer

    Registriert seit:
    15. Mai 2011
    Beiträge:
    50
    Danke erhalten:
    1
    Danke vergeben:
    14
    Sind solche Überraschungen auch bei einer Umstellung von PHP 5.2.17 auf 5.4.9 zu erwarten beim GX2? Ich würde ja glatt klicken, aber ich traue mich nicht.
     
  12. Moritz (Gambio)

    Moritz (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    26. April 2011
    Beiträge:
    5.150
    Danke erhalten:
    2.270
    Danke vergeben:
    744
    Ab 2.0.13 rate ich sogar zu PHP 5.4.x.
     
  13. Frank M

    Frank M Erfahrener Benutzer

    Registriert seit:
    15. Mai 2011
    Beiträge:
    50
    Danke erhalten:
    1
    Danke vergeben:
    14
    Rat befolgt und funktioniert.